#include<iostream>
#include<fstream>
#include<algorithm>
using namespace std;
int max(int a,int b)
{
	return(a>=b)?a:b;
}
int min(int a,int b)
{
	return(a<=b)?a:b;
}
int main()
{
	ifstream f1("DATHUC.INP");
	ofstream f2("DATHUC.OUT");
	int n,m;
	f1>>n>>m;
	int u[n];
	int v[m];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>u[i];
	}
	for(i=0;i<m;i++)
	{
		f1>>v[i];
	}
	f1.close();
	int t=max(m,n);
	int d[max(m,n)];
	for(i=0;i<n;i++)
	{
		d[i]=-1;
	}
	for(i=0;i<t;i++)
	{
		if(i<=min(m,n)) d[i]=u[i]+v[i];
		if(i>m) d[i]=u[i];
		if(i>n) d[i]=v[i];
		f2<<d[i];
	}
	f2.close();
	return 0;
}
